#pragma once

#include "rrr/content/file/file.hpp"

namespace rrr::content_type
{
  using files = std::vector<file>;

  struct preview 
  {
    preview() = default;
    ~preview() = default;

    void fill(std::filesystem::path);
    files data;
  };
}
